Managed Instance Azure AD Only Authentications - Delete

Verwijdert een bestaande server-only Active Directory-authenticatie-eigenschap.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/azureADOnlyAuthentications/Default?api-version=2025-01-01

URI-parameters

Naam In Vereist Type Description
authenticationName
path True

AuthenticationName

De naam van server azure Active Directory-verificatie.

managedInstanceName
path True

string

De naam van het beheerde exemplaar.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Naam Type Description
200 OK

De resource is verwijderd.

202 Accepted

Het verwijderen van resources is geaccepteerd.

Kopteksten

  • Location: string
  • Retry-After: integer
204 No Content

Resource bestaat niet.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Naam Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Deletes Azure Active Directory only authentication object.

Voorbeeldaanvraag

DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/azureADOnlyAuthentications/Default?api-version=2025-01-01

Voorbeeldrespons

Location: https://management.azure.com/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/managedinstanceAdOnlyAuthazureasyncoperation/00000000-1111-2222-3333-444444444444?api-version=2022-11-01-preview

Definities

Naam Description
AuthenticationName

De naam van server azure Active Directory-verificatie.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

AuthenticationName

De naam van server azure Active Directory-verificatie.

Waarde Description
Default

Verstek

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Naam Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Naam Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Naam Type Description
error

ErrorDetail

Het foutobject.